import React, { Component } from 'react';
import {
  BrowserRouter as Router, Route,
  Switch,
} from 'react-router-dom';
import Categories from './Categories';
import Category from './Category';
import Vegetable from './Vegetable';

import requireAuth from './requireAuth';
import Login from './Login';

import './App.css';

class App extends Component {
  render() {
    return (
      <div className="App">
        <Router>
          <Switch>
            <Route exact path="/" component={requireAuth(Login, false)} />
            <Route exact path="/categories" component={requireAuth(Categories)} />
            <Route exact path="/categories/:categoryId" component={requireAuth(Category)} />
            <Route exact path="/categories/:categoryId/vegetables/:vegetableId" component={requireAuth(Vegetable)} />
          </Switch>
        </Router>
      </div>
    );
  }
}

export default App;
